bm::bit_visitor_callback_adaptor< VCBT, size_type > Struct Template Reference

functor-adaptor for C-style callbacks More...

`#include <bmalgo_impl.h>`

## Public Types

typedef VCBT | bit_visitor_callback_type

## Public Member Functions

| bit_visitor_callback_adaptor (void *h, bit_visitor_callback_type cb_func)
int | add_bits (size_type offset, const unsigned char *bits, unsigned size)
int | add_range (size_type offset, size_type size)

## Data Fields

void * | handle_
bit_visitor_callback_type | func_

## Detailed Description

template<class VCBT, class size_type>
struct bm::bit_visitor_callback_adaptor< VCBT, size_type >

functor-adaptor for C-style callbacks

Definition at line 120 of file bmalgo_impl.h.

## Member Typedef Documentation

## bit_visitor_callback_type

template<class VCBT, class size_type>

typedef VCBT bm::bit_visitor_callback_adaptor< VCBT, size_type >::bit_visitor_callback_type

Definition at line 122 of file bmalgo_impl.h.

## Constructor & Destructor Documentation

## bit_visitor_callback_adaptor()

template<class VCBT, class size_type>

bm::bit_visitor_callback_adaptor< VCBT, size_type >::bit_visitor_callback_adaptor | ( | void * | h,
|  | bit_visitor_callback_type | cb_func )

inline

Definition at line 124 of file bmalgo_impl.h.

References func_, and handle_.

## Member Function Documentation

## add_bits()

template<class VCBT, class size_type>

int bm::bit_visitor_callback_adaptor< VCBT, size_type >::add_bits | ( | size_type | offset,
|  | const unsigned char * | bits,
|  | unsigned | size )

inline

Definition at line 128 of file bmalgo_impl.h.

References func_, and handle_.

## add_range()

template<class VCBT, class size_type>

int bm::bit_visitor_callback_adaptor< VCBT, size_type >::add_range | ( | size_type | offset,
|  | size_type | size )

inline

Definition at line 138 of file bmalgo_impl.h.

References func_, and handle_.

## Field Documentation

## func_

template<class VCBT, class size_type>

bit_visitor_callback_type bm::bit_visitor_callback_adaptor< VCBT, size_type >::func_

Definition at line 150 of file bmalgo_impl.h.

Referenced by add_bits(), add_range(), and bit_visitor_callback_adaptor().

## handle_

template<class VCBT, class size_type>

void* bm::bit_visitor_callback_adaptor< VCBT, size_type >::handle_

Definition at line 149 of file bmalgo_impl.h.

Referenced by add_bits(), add_range(), and bit_visitor_callback_adaptor().

The documentation for this struct was generated from the following file:

- bmalgo_impl.h